Subject: Re: Faster guix search using an sqlite cache

From: Arun Isaac <[email-masked]>
Date: Fri, 04 Apr 2025 20:17:00 +0100

Hi all,

This issue has gone quite stale, and it's not clear if we want to have a
faster guix search based on xapian or on a sqlite cache.

I still think a xapian search is a good idea, but perhaps we don't want
Guix to depend on xapian. So, perhaps, the right thing to do is to have
a "guix xsearch" extension that implements this and is separate from
Guix. guile-xapian is quite mature now, and this should be a relatively
easy project. Perhaps it could be something for a GSoC student to work
on. I am happy to help mentor such a project if others see value in
that.

May I close this issue now? We can open new issues, if there is
something specific to discuss.

Thanks,
Arun